Subject: bug#60984: closed (Re: bug#60984: 30.0.50; c-ts-mode: indentation styles broken after new brace code)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Sep 2023 00:07:02 +0000

Your bug report

#60984: 30.0.50; c-ts-mode: indentation styles broken after new brace code

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60984: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60984
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60984: 30.0.50; c-ts-mode: indentation styles broken after new brace code
From: Stefan Kangas <[email-masked]>
To: Yuan Fu <[email-masked]>
Cc: [email-masked], Theodor Thornhill <[email-masked]>
Date: Tue, 5 Sep 2023 17:06:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Yuan Fu <[email-masked]> writes:

> Theodor Thornhill <[email-masked]> writes:
>
>> Hi!
>>
>> It seems there has been some regressions wrt indentation styles with the
>> new brace counting code - for example with bsd style:
>>
>> Previously:
>>
>> int
>> main()
>> {
>>   if (x)
>>   {
>>
>>   }
>>   else
>>   {
>>
>>   }
>> }
>>
>> now:
>>
>> int
>> main()
>> {
>>   if (x)
>>   {
>>
>>     }
>>   else
>>   {
>>
>>     }
>> }
>>
>> I'll try to tweak the code so that all indentation styles work and add
>> tests.
>>
>> Theo
>
> Yeah sorry about that, I think this is fixed now.

No further comments within 9 months, so I'm assuming this is fixed.

I'm therefore closing this bug report.

Subject: 30.0.50; c-ts-mode: indentation styles broken after new brace code
From: Theodor Thornhill <[email-masked]>
To: [email-masked]
Date: Sat, 21 Jan 2023 13:43:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

It seems there has been some regressions wrt indentation styles with the
new brace counting code - for example with bsd style:

Previously:

int
main()
{
  if (x)
  {

  }
  else
  {

  }
}

now:

int
main()
{
  if (x)
  {

    }
  else
  {

    }
}

I'll try to tweak the code so that all indentation styles work and add
tests.

Theo